export declare namespace window {
    function blur(): void;
    function center(): void;
    function close(): void;
    function focus(): void;
    function getBounds(): Electron.Rectangle;
    function getOpacity(): number;
    function hide(): void;
    function maximize(): void;
    function minimize(): void;
    function reload(): void;
    function restore(): void;
    function setAlwaysOnTop(): void;
    function setBounds(bounds: Electron.Rectangle, animate?: boolean): void;
    function setEnabled(enabled?: boolean): void;
    function setOpacity(opacity: number): void;
    function setProgressBar(progress: number, mode: ('none' | 'normal' | 'indeterminate' | 'error' | 'paused')): void;
    function isResizable(): boolean;
    function setResizable(resizable: boolean): void;
    function show(): void;
    function unmaximize(): void;
    function capturePage(callback: (image: Electron.NativeImage) => void): void;
    function executeJavaScript(code: string): Promise<any>;
    function getFrameRate(): number;
    function getZoomFactor(): Promise<number>;
    function getZoomLevel(): Promise<number>;
    function insertCSS(css: string): void;
    function setZoomFactor(factor: number): void;
    function setZoomLevel(factor: number): void;
}
