import { keyBinding, IKeyBinding, ICondition } from './key-binding.service';
import { IDisposable } from './../../../exports';
export { IKeyBinding, ICondition, keyBinding };
export declare namespace keyBindings {
    function addDevTimeBinding(binding: IKeyBinding): void;
    function addCondition(condition: ICondition): IDisposable;
    function getBindingForCommand(command: string): string | string[] | undefined;
}
