export declare enum Messages {
    bundle = 0,
    parentBrowserWindow = 1,
    webpackConfig = 2
}
export declare enum WORKER_TO_WINDOW {
    ERROR = "a",
    SUCCESS = "b",
    tokenizeFile = "tokenizeFile"
}
export declare enum WINDOW_TO_WORKER {
    tokenizeFile = "tokenizeFile"
}
export interface MessageData<T = any> {
    message: Messages | WORKER_TO_WINDOW | WINDOW_TO_WORKER;
    data: T;
}
